Subject: Re: Machine Check Exception Re: NetDev! Please help!

From: Jarek Poplawski <[email-masked]>
Date: Mon, 22 Sep 2008 06:53:39 +0000

On Mon, Sep 22, 2008 at 10:17:01AM +0400, Badalian Vyacheslav wrote:
> Jarek Poplawski:
> 
> Hello!
> There all requested information.
> I try 2.6.26.5 and again get:
> [143784.513166] CPU 2: Bank 0: 3200004000000800
> [143784.513241] CPU 2: Bank 5: 3200121020080400
> [143784.513241] Kernel panic - not syncing: CPU context corrupt
> [143784.513282] Rebooting in 3 seconds..

Hi,

Actually, I suggested you to read this Machine Check Exception help,
because I think you should first try to test your hardware instead of
sending configs. This type of error isn't usually seen with netdev
bugs.

Since I'm not a hardware expert I added linux-kernel to Cc, and
probably you should do the same (I added it to this one). But, until
you have any better advice I think you should do some long and heavy
testing of your PCs especially for overheating or memory problems.
We can start to analyze other bugs after we are sure the hardware is
OK.

BTW, probably your attachements are too big for the lists and the
message could be dropped. It would be better to add some link to a
server or use bugzilla for this.

Thanks,
Jarek P.
 
> 
> Attached all info that i was can get from PC. Maybe problem that we use
> Core Duo Quard processors? It's 64bit, but kernel and software compile
> as 32. On 2 x "OLD HT(2 core) Xeon 32 bit" PC all work great...
> 
> Simple step to reproduce
> Add iptables and tc rules.... give above 500 mbs total traffic (we have
> above 300/200 mbs in/out) from any (many?) ip what preset in TC rules
> and run any CPU like process (like compiling)...
> 
> Thanks for answers!
> 
> Denys Fedoryshchenko:
> Hello!
> i try run nmi_watchdog...
> i hope its helps, but this PC have hardware watchdog (bios have params
> for it), but kernel not have module for it - /S3210SH/ (ICH9-R chipset).
> I think simple not add ID to driver. I try write to author of it -
> [email-masked].
> Please ask for me... this line:
> [    0.143332] APIC timer registered as dummy, due to nmi_watchdog=1!
> its normal start of nmi_watchdog? or i need use nmi_watchdog=2?
> 
> Thanks for answers!
> 
> > Denys Fedoryshchenko wrote, On 09/20/2008 08:11 PM:
> > ...
> >
> >   
> >> P.S. For netdev, i have one more friend - who is complaining that shapers is 
> >> crashing on Intel machines (who uses TSC, he have two different "Core" based 
> >> servers, and both is crashing). With HPET i dont have any problem on high 
> >> performance shapers (except, that it is CPU expensive). It happens on latest 
> >> 2.6.26.5 too. Machine getting hard lockup, and nothing than hardware watchdog 
> >> able to recover it. They dont have experience to get actual reason of this 
> >> issue and they dont know english well to report this issue.
> >>     
> >
> > Is your friend sure it's because of shapers? If he/she can patch
> > there is no need to know English well to report here:
> >
> > Subject: 2.6.26.5 tc not OK
> >
> > Config:
> > 	.config
> >
> > tc script:
> > 	script
> >
> > dmesg:
> > 	dmesg
> >
> > not OK when: script run/script not run
> >
> > patch #1 not OK
> > patch #2 not OK
> > ...
> > patch #2001 OK!
> >
> > Jarek P.
> >
> >   
>